Robotsystem of the Robot Group Leipzig: ComplexPlayground Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ComplexPlayground Class Reference

Playground that uses xfig file with polylines linetype 0 is normal line linetype 1 is border thickness is used as well, thickness is multiplied with wallthickness. More...

`#include <complexplayground.h>`

Inherits AbstractGround.

Inheritance diagram for ComplexPlayground:

[legend]
Collaboration diagram for ComplexPlayground:

[legend]
List of all members.

## Public Member Functions
| ComplexPlayground (const OdeHandle &odeHandle, const OsgHandle &osgHandle, const std::string filename, double factor=1, double heightfactor=0.02, bool createGround=true)
void | createPolyline (const PolyLine &)
## Protected Member Functions
virtual void | create ()
| overload this function to create the obstactle. All primitives should go into the list "obst"
## Protected Attributes
std::string | filename
double | length
double | factor
double | heightfactor
std::list< PolyLine > | polylines

## Detailed Description

Playground that uses xfig file with polylines linetype 0 is normal line linetype 1 is border thickness is used as well, thickness is multiplied with wallthickness.

## Constructor & Destructor Documentation

ComplexPlayground | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | const std::string | filename,
|  | double | factor = `1`,
|  | double | heightfactor = `0.02`,
|  | bool | createGround = `true` |
| ) |  |  |

## Member Function Documentation

void create | ( |  | ) | `[protected, virtual]`

overload this function to create the obstactle. All primitives should go into the list "obst"

Implements AbstractObstacle.

void createPolyline | ( | const PolyLine & |  | ) |

## Member Data Documentation

double factor`[protected]`

std::string filename`[protected]`

double heightfactor`[protected]`

double length`[protected]`

std::list<PolyLine> polylines`[protected]`

The documentation for this class was generated from the following files:

- complexplayground.h
- complexplayground.cpp